Bug 1805011 - smoke Build fails with no such file or directory
Summary: smoke Build fails with no such file or directory
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-20 05:43 UTC by hari gowtham
Modified: 2020-03-12 12:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-12 12:21:21 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description hari gowtham 2020-02-20 05:43:20 UTC
Description of problem:
The build fails for https://review.gluster.org/#/c/build-jobs/+/23172/
With the error:

12:10:06 [build-job] $ /bin/sh /tmp/jenkins360143079291067817.sh
12:10:06 /tmp/jenkins360143079291067817.sh: line 3: /opt/rh/python27/enable: No such file or directory
12:10:06 Build step 'Execute shell' marked build as failure
12:10:06 Finished: FAILURE

https://build.gluster.org/job/build-job/575/console

Actual results:
Failure

Expected results:
Pass/ the smoke to start running fine.

Additional info:

Comment 1 Deepshikha khandelwal 2020-02-20 11:39:34 UTC
This job has been running on Centos8 builders now.

Michael, would it be a good to have a python3 env for tox?

I tested it in python3 virtual env, it is working fine there.

Comment 2 M. Scherer 2020-02-20 14:41:47 UTC
yeah, it seems like a good idea.

Comment 3 hari gowtham 2020-02-28 11:45:57 UTC
I started to see similar failure for https://review.gluster.org/#/c/build-jobs/+/23289/ patch as well

Comment 4 Deepshikha khandelwal 2020-02-28 12:02:24 UTC
I was testing earlier and now the script in the configuration is upated to the previous state. I will fix it in the build-jobs repo.

Comment 5 Worker Ant 2020-03-12 12:21:21 UTC
This bug is moved to https://github.com/gluster/project-infrastructure/issues/11, and will be tracked there from now on. Visit GitHub issues URL for further details


Note You need to log in before you can comment on or make changes to this bug.